=== debian/changelog ===
libsdl2 (2.0.14+dfsg2-3ubuntu0.1) impish-security; urgency=medium

  * SECURITY UPDATE: Heap-based buffer overflow
    - debian/patches/CVE-2021-33657.patch: allocate enough size to handle
      possible larger values with a 256-entry map in Map1to1 and Map1toN
      functions in src/video/SDL_pixels.c.
    - CVE-2021-33657

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Wed, 27 Apr 2022 09:45:13 -0300

libsdl2 (2.0.14+dfsg2-3) unstable; urgency=medium

  * d/libsdl2-2.0-0.symbols: SDL_LinuxSetThreadPriority is Linux-only
  * Add patches to exclude generated Wayland symbols from the library ABI.
    These were not intended to be public, and are not namespaced, which
    could lead to namespace collisions with other packages.
  * Don't generate symbols file from a template.
    This is unnecessary now that we don't have to suppress the symbols for
    Wayland interfaces.
  * Exclude autom4te.cache from examples.tar.gz, for reproducible build
  * d/rules: Disable full path names in documentation.
    This makes the documentation (more) reproducible.
  * docs: Only run doxygen across header files, not the entire source tree.
    This avoids a lot of noise caused by documenting generated files,
    which (again) made the build non-reproducible.
  * d/rules: Explicitly disable libunwind if it happens to be installed.
    The build includes the header if detected, but doesn't link to the
    library, causing link failure. Explicitly disabling it also makes the
    build more deterministic in non-minimal chroots.
  * Avoid using debian/source/local-options.
    This is incompatible with using dgit, and the unapply-patches option
    is mostly not useful now that dpkg-source automatically returns the
    tree to its original state after building (if patches were previously
    unapplied, they end up unapplied afterwards).

 -- Simon McVittie <smcv@debian.org>  Mon, 18 Jan 2021 14:35:30 +0000

libsdl2 (2.0.14+dfsg2-2) unstable; urgency=medium

  * Add .symbols file
  * Ignore symbols and avoid dpkg-gensymbols warnings for generated
    Wayland interfaces.
    I'm going to ask upstream about removing these from the library's ABI,
    but for now, mark them as new in the latest upstream version.
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Jan 2021 20:11:19 +0000

libsdl2 (2.0.14+dfsg2-1) experimental; urgency=medium

  [ Felix Geyer ]
  * (Build-)Depend on libgles-dev instead of libgles2-mesa-dev.
    (Closes: #972190)

  [ Fabian Greffrath ]
  * enable HIDAPI for low level joystick drivers (Closes: #975989)

  [ Simon McVittie ]
  * d/p/no-libdir.patch: Expand description.
    Among other things this explains why it isn't an upstreamable change.
  * New upstream release
    - Delete non-free files more selectively, so we have what's needed
      for HIDAPI
    - Refresh patch
  * Install upstream's tests.
    Most of them are manual tests rather than automated tests, so we don't
    run them at build-time.
    Package them in the -dev package for now, to avoid a trip through
    the NEW queue to add a libsdl2-tests package. The installed location
    is loosely based on what GNOME installed-tests do, but must be multiarch
    until/unless we separate out a libsdl2-tests package, so put it below
    the $(libdir) rather than $(libexecdir).
  * Add Suggests on xdg-utils, for SDL_OpenURL()
  * Add myself to Uploaders
  * d/copyright: Update for new upstream release
  * d/copyright: Reorder so patterns are matched in the right order
  * Standards-Version: 4.5.1 (no changes required)

  [ Helmut Grohne ]
  * Remove wrong check of nocheck profile (Closes: #979369)
  * Don't replace jquery.js: doxygen's jquery.js is not just jquery.
    See debian/README.jquery in the doxygen package.

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Jan 2021 11:13:12 +0000
