## libsdl2 2.0.20+dfsg

=== debian/changelog ===
libsdl2 (2.0.20+dfsg-2build1) jammy; urgency=medium

  * Rebuild against new old libsndio7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 13 Mar 2022 12:17:35 +0100

libsdl2 (2.0.20+dfsg-2) unstable; urgency=medium

  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 15 Jan 2022 00:22:57 +0000

libsdl2 (2.0.20+dfsg-1) experimental; urgency=medium

  * d/gbp.conf, d/control: Branch for experimental
  * New upstream release
  * d/copyright: Update
  * d/upstream/metadata: Add
  * Drop patches that were included in the upstream release
  * d/p/Avoid-depending-on-libwayland-1.20-unnecessarily.patch:
    Add patch to avoid hard dependency on libwayland-client 1.20.
    That version is not in Debian yet (#1001839).
  * Initially release to experimental, to let 2.0.18+dfsg-5 migrate

 -- Simon McVittie <smcv@debian.org>  Tue, 11 Jan 2022 10:46:47 +0000

libsdl2 (2.0.18+dfsg-5) unstable; urgency=medium

  * d/patches: Update event loop regression fix to the version that was
    merged upstream

 -- Simon McVittie <smcv@debian.org>  Fri, 07 Jan 2022 09:06:43 +0000

libsdl2 (2.0.18+dfsg-4) unstable; urgency=medium

  * Add proposed patch from upstream to fix osk-sdl regression
    (Closes: #1001809)

 -- Simon McVittie <smcv@debian.org>  Thu, 06 Jan 2022 20:24:15 +0000

libsdl2 (2.0.18+dfsg-3) unstable; urgency=medium

  * d/p/Fixed-enabling-udev-hotplug-detection-on-Linux.patch:
    Add patch from upstream to use udev for raw HID device hotplug
    where possible

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Dec 2021 19:10:16 +0000

libsdl2 (2.0.18+dfsg-2) unstable; urgency=medium

  * d/p/docs-Don-t-let-Doxygen-expand-HOME-environment-variable.patch:
    Add upstreamed patch to make the documentation build reproducibly
  * d/p/Fix-the-wrong-int-size-for-fcitx-capability.patch,
    d/p/video-wayland-Handle-0x0-xdg_toplevel_configure-in-fullsc.patch:
    Add post-release bug fixes recommended by upstream
  * Revert "d/gbp.conf, d/control: Branch for experimental"
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Tue, 07 Dec 2021 16:12:55 +0000

libsdl2 (2.0.18+dfsg-1) experimental; urgency=medium

  * d/gbp.conf, d/control: Branch for experimental
  * New upstream release
    - Refresh patch series, dropping patches taken from upstream
  * Add new dependency on libxfixes-dev
  * Version the dependency on libxkbcommon-dev
  * d/copyright: Update
  * Update configure options

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Nov 2021 19:59:48 +0000

libsdl2 (2.0.16+dfsg1-7) unstable; urgency=medium

  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Nov 2021 09:35:27 +0000

libsdl2 (2.0.16+dfsg1-6) experimental; urgency=medium

  * Enable libdecor support on Linux architectures.
    This allows native Wayland games to have client-side window
    decorations. (To test, for example try:
    SDL_VIDEODRIVER=wayland openarena +set r_fullscreen 0 +set r_mode 5)
  * Use recommended debhelper compat level 13.
    Stop overriding dh_missing to pass --fail-missing, which is the default
    in this compat level.
  * d/gbp.conf, d/control: Branch for experimental

 -- Simon McVittie <smcv@debian.org>  Sun, 07 Nov 2021 11:09:02 +0000

libsdl2 (2.0.16+dfsg1-5) unstable; urgency=medium

  * d/p/test-Fix-path-used-in-AC_CONFIG_AUX_DIR.patch:
    Replace patch with the version that went upstream.
    This is compatible with both old and new Autoconf, unlike my previous
    attempt, which only fully worked with 2.71.
  * d/control: Move libsamplerate0-dev to sorted position in B-D
  * Depend on libgl-dev instead of transitional libgl1-mesa-dev
  * Update standards version to 4.6.0, no changes needed.
  * Build documentation during build-indep, not binary-indep
  * Don't disable opengles on Hurd.
    The configure option was misspelled and OpenGL|ES v2 was actually
    enabled. Nobody has complained that it didn't work, so presumably
    either it does, in fact, work, or nobody has ever tried it. Either way,
    we can get the same result with fewer lines of code.

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Oct 2021 21:55:42 +0100

libsdl2 (2.0.16+dfsg1-4) unstable; urgency=medium

  * d/p/audio-Support-pulse-as-an-alias-for-pulseaudio.patch:
    Add patch from upstream to improve compatibility with SDL 1.2
  * d/p/test-Fix-path-used-in-AC_CONFIG_AUX_DIR.patch:
    Add proposed patch to fix FTBFS with autoconf 2.71
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Sep 2021 10:56:33 +0100

libsdl2 (2.0.16+dfsg1-3) experimental; urgency=medium

  * d/p/Fixed-libudev-hotplug-notifications-in-the-HIDAPI-driver.patch:
    Add patch recommended by upstream to fix HIDAPI hotplug

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Aug 2021 12:52:32 +0100

libsdl2 (2.0.16+dfsg1-2) experimental; urgency=medium

  * d/p/Revert-*: Remove patches
  * d/p/x11-Don-t-change-mode-if-we-are-already-in-the-correct-mo.patch:
    Add patch from upstream git to resolve regression with Xwayland 1.20.x
    more minimally

 -- Simon McVittie <smcv@debian.org>  Fri, 13 Aug 2021 11:08:01 +0100

libsdl2 (2.0.16+dfsg1-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream release
  * d/rules: Pass CPPFLAGS and LDFLAGS while linking test programs
  * d/copyright: Update
  * d/copyright: Exclude less of src/hidapi/
  * d/rules: Improve handling of Linux-specific features
  * d/rules: Check for Hurd correctly
  * d/rules: Explicitly disable libdecor for now (ITP: #988116)
  * d/rules: Enable Pipewire audio driver.
    The required version is currently only in experimental, but will
    presumably go to unstable after Debian 11 is released.
  * Drop Wayland-related patches, applied upstream
  * d/p/no-libdir.patch: Refresh.
    The patch conflicted with upstream updates to sdl2-config.cmake.in,
    but we don't actually need to patch that file for multiarch
    co-installation anyway: the file generated from it gets installed into

