=== debian/control ===
--- 
+++ 
@@ -1,27 +1,29 @@
 Source: libsdl2
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
+Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders:
  Sam Hocevar <sho@debian.org>,
  Manuel A. Fernandez Montecelo <mafm@debian.org>,
  Felix Geyer <fgeyer@debian.org>,
  Simon McVittie <smcv@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  fcitx-libs-dev,
  libasound2-dev [linux-any],
  libdbus-1-dev,
+ libdecor-0-dev [linux-any],
  libdrm-dev [linux-any],
  libegl1-mesa-dev [!hurd-any],
  libgbm-dev [linux-any],
- libgl1-mesa-dev,
+ libgl-dev,
  libgles-dev [!hurd-any],
  libglu1-mesa-dev,
  libibus-1.0-dev,
+ libpipewire-0.3-dev (>= 0.3.20) [linux-any],
  libpulse-dev,
+ libsamplerate0-dev,
  libsndio-dev,
  libudev-dev [linux-any],
  libusb2-dev [kfreebsd-any],
@@ -31,16 +33,16 @@
  libx11-dev,
  libxcursor-dev,
  libxext-dev,
+ libxfixes-dev,
  libxi-dev,
  libxinerama-dev,
- libxkbcommon-dev,
+ libxkbcommon-dev (>= 0.5.0),
  libxrandr-dev,
  libxss-dev,
  libxt-dev,
  libxv-dev,
  libxxf86vm-dev,
  pkg-config,
- libsamplerate0-dev,
  wayland-protocols
 Build-Depends-Indep:
  graphviz <!nodoc>,
@@ -79,7 +81,7 @@
  libasound2-dev [linux-any],
  libdbus-1-dev,
  libegl1-mesa-dev [!hurd-any],
- libgl1-mesa-dev,
+ libgl-dev,
  libgles-dev [!hurd-any],
  libglu1-mesa-dev,
  libibus-1.0-dev,
